@import '../../../scss/variables';

$card-width: 450px;
$card-mobile-width: 300px;
$box-shadow-color: rgba(0, 0, 0, 0.7);

.teo {
  &-wallet {
    background-image: linear-gradient(0deg, $red 0%, white 99%);

    &-card {
      width: $card-width;
      height: $card-width * 9 / 16;
      background: white;
      border-radius: 8px;
      box-shadow: 2px 2px 4px $box-shadow-color;
      cursor: pointer;
      position: relative;
      background-image: radial-gradient(circle at bottom left, white 63%, $primary-color 65%);

      &-info {
        width: 100%;
        height: 60px;
        position: absolute;
        top: 50%;
        left: 0px;
        margin-top: -30px;
        padding: 0px 24px;
      }
      &-owner {
        width: 100%;
        height: 20px;
        position: absolute;
        left: 0px;
        bottom: 24px;
        padding: 0px 24px;
      }

      &:hover {
        box-shadow: 4px 4px 9px $box-shadow-color;
      }
    }

    &-info {
      text-align: right;
      & figure.image {
        margin-left: auto;
        margin-right: 0px;
      }
    }
  }

  &-tabs {
    & .tab-item {
      & > a {
        text-decoration: none;
        &:hover {
          color: $primary-color;
          border-bottom-color: $red;
        }
      }
      &.is-active {
        background-color: $primary-color;
        & > a {
          color: white;
          border-bottom-color: $red-darker;
        }
      }
    }
  }
}

@media (max-width: 768px) {
  .teo-wallet {
    &-card {
      width: $card-mobile-width;
      height: $card-mobile-width * 9 / 16;
      margin: auto;
    }
    &-info {
      text-align: center;
      & figure.image {
        margin-left: auto;
        margin-right: auto;
      }
    }
  }
}
